Index: typo3/sysext/install/mod/class.tx_install.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install.php	(revision 7289)
+++ typo3/sysext/install/mod/class.tx_install.php	(working copy)
@@ -612,283 +904,383 @@
 	/**
 	 * Controls the step 1-2-3-go process
 	 *
-	 * @return	string	the content to output to the screen
+	 * @return string The content to output to the screen
 	 */
-	function stepOutput()	{
+	function stepOutput() {
+			// Get the template file
+		$templateFile = @file_get_contents(
+			PATH_site . $this->templateFilePath . 'StepOutput.html'
+		);
+			// Get the template part from the file
+		$template = $this->contentObject->getSubpart(
+			$templateFile, '###TEMPLATE###'
+		);
+			// Define the markers content
+		$markers = array(
+			'stepHeader' => $this->stepHeader(),
+			'notice' => 'Skip this wizard (for powerusers only)',
+			'skip123' => $this->scriptSelf
+		);
+
 		$this->checkTheConfig();
-		$error_missingConnect='<br />
-			'.$this->fontTag2.'<img src="'.$this->backPath.'gfx/icon_fatalerror.gif" width="18" height="16" class="absmiddle">
-			There is no connection to the database!<br />
-			(Username: <i>' . TYPO3_db_username . '</i>, Host: <i>' . TYPO3_db_host . '</i>, Using Password: YES) . <br />
-			<br />
-			<strong>Go to Step 1</strong> and enter a proper username/password!</span>
-			<br />
-			<br />
+		$error_missingConnect = '
+			<p class="typo3-message message-error">
+				<strong>
+					There is no connection to the database!
+				</strong>
+				<br />
+				(Username: <em>' . TYPO3_db_username . '</em>,
+				Host: <em>' . TYPO3_db_host . '</em>,
+				Using Password: YES)
+				<br />
+				Go to Step 1 and enter a proper username/password!
+			</p>
 		';
-		$error_missingDB='<br />
-			'.$this->fontTag2.'<img src="'.$this->backPath.'gfx/icon_fatalerror.gif" width="18" height="16" class="absmiddle">
-			There is no access to the database (<i>'.TYPO3_db.'</i>)!<br />
-			<br />
-			<strong>Go to Step 2</strong> and select an accessible database!</span>
-			<br />
-			<br />
+		$error_missingDB = '
+			<p class="typo3-message message-error">
+				<strong>
+					There is no access to the database (<em>' . TYPO3_db . '</em>)!
+				</strong>
+				<br />
+				Go to Step 2 and select an accessible database!
+			</p>
 		';
 
-			// only get the number of tables if it is not the first step in the 123-installer
+			// only get the number of tables if it is not the first two steps in the 123-installer
 			// (= no DB connection yet)
-		$whichTables = ($this->step != 1 ? $this->getListOfTables() : array());
-		$dbInfo='
-					<table border="0" cellpadding="1" cellspacing="0">
-					   	<tr>
-					   		<td valign="top" nowrap="nowrap" colspan="2" align="center">'.$this->fontTag2.'<strong><img src="'.$this->backPath.'gfx/icon_note.gif" hspace="5" width="18" height="16" class="absmiddle">Database summary:</strong></span></td>
-						</tr>
-					   	<tr>
-					   		<td valign="top" nowrap="nowrap">'.$this->fontTag1.'Username:</span></td>
-					   		<td valign="top" nowrap="nowrap"><strong>'.$this->fontTag1.''.TYPO3_db_username.'</span></strong></td>
-						</tr>
-					   	<tr>
-					   		<td valign="top" nowrap="nowrap">'.$this->fontTag1.'Host:</span></td>
-					   		<td valign="top" nowrap="nowrap"><strong>'.$this->fontTag1.''.TYPO3_db_host.'</span></strong></td>
-						</tr>
-					   	<tr>
-					   		<td valign="top" nowrap="nowrap">'.$this->fontTag1.'Database:</span></td>
-					   		<td valign="top" nowrap="nowrap"><strong>'.$this->fontTag1.''.TYPO3_db.'</span></strong></td>
-						</tr>
-					   	<tr>
-					   		<td valign="top" nowrap="nowrap">'.$this->fontTag1.'# of tables:</span></td>
-					   		<td valign="top" nowrap="nowrap"><strong>'.$this->fontTag1.''.(count($whichTables)?'<span style="color:#f00;">'.count($whichTables).'</span>':count($whichTables)).'</span></strong></td>
-						</tr>
-					</table>
+		$whichTables = ($this->step != 1 && $this->step != 2 ? $this->getListOfTables() : array());
+
+		$error_emptyDB = '
+			<p class="typo3-message message-error">
+				<strong>
+					The database is still empty. There are no tables!
+				</strong>
+				<br />
+				Go to Step 3 and import a database!
+			</p>
 		';
-		$error_emptyDB='<br />
-			'.$this->fontTag2.'<img src="'.$this->backPath.'gfx/icon_fatalerror.gif" width="18" height="16" class="absmiddle">
-			The database is still empty. There are no tables!<br />
-			<br />
-			<strong>Go to Step 3</strong> and import a database!</span>
-			<br />
-			<br />
-		';
 
-		switch(strtolower($this->step))	{
-			case 1:
-				$msg='
-					<br />
-					<br />
-					<table border="0">
-					   <form action="'.$this->action.'" method="post">
-					   	<tr>
-					   		<td valign="top" nowrap="nowrap"><strong>
-								  '.$this->fontTag2.'Username:</span></strong>
-					   		</td>
-					   		<td>	&nbsp;
-					   		</td>
-					   		<td valign="top">
-								  '.$this->fontTag2.'
-								  <input type="text" name="TYPO3_INSTALL[localconf.php][typo_db_username]" value="'.TYPO3_db_username.'"></span><br />
-					   		</td>
-					   	</tr>
-					   	<tr>
-					   		<td valign="top" nowrap="nowrap"><strong>
-								  '.$this->fontTag2.'Password:</span></strong>
-					   		</td>
-					   		<td>	&nbsp;
-					   		</td>
-					   		<td valign="top">
-								  '.$this->fontTag2.'
-								  <input type="password" name="TYPO3_INSTALL[localconf.php][typo_db_password]" value="'.TYPO3_db_password.'"></span><br />
-					   		</td>
-					   	</tr>
-					   	<tr>
-					   		<td valign="top" nowrap="nowrap"><strong>
-								  '.$this->fontTag2.'Host:</span></strong>
-					   		</td>
-					   		<td>	&nbsp;
-					   		</td>
-					   		<td valign="top">
-								  '.$this->fontTag2.'
-								  <input type="text" name="TYPO3_INSTALL[localconf.php][typo_db_host]" value="'.(TYPO3_db_host?TYPO3_db_host:'localhost').'"></span><br />
-					   		</td>
-					   	</tr>
-					   	<tr>
-					   		<td valign="top" nowrap="nowrap"><strong>
-								  '.$this->fontTag1.'</span></strong>
-					   		</td>
-					   		<td>	&nbsp;
-					   		</td>
-					   		<td valign="top">
-								  '.$this->fontTag1.'<br />
-							   <input type="hidden" name="step" value="2">
-							   <input type="hidden" name="TYPO3_INSTALL[localconf.php][encryptionKey]" value="' . $this->createEncryptionKey() . '">
-								 <input type="hidden" name="TYPO3_INSTALL[localconf.php][compat_version]" value="'.TYPO3_branch.'">
-								  <input type="submit" value="Continue"><br /><br /><strong>NOTICE: </strong>By clicking this button, typo3conf/localconf.php is updated with new values for the parameters listed above!</span><br />
-					   		</td>
-					   	</tr>
-					   </form>
-					</table>
-					<br />
-					<br />';
-			break;
-			case 2:
-				if ($result = $GLOBALS['TYPO3_DB']->sql_pconnect(TYPO3_db_host, TYPO3_db_username, TYPO3_db_password))	{
-					$dbArr = $this->getDatabaseList();
-					$options = '<option value="">[ SELECT DATABASE ]</option>';
-					$dbIncluded = 0;
-					foreach ($dbArr as $dbname) {
-						$options.='<option value="'.htmlspecialchars($dbname).'"'.($dbname==TYPO3_db?' selected="selected"':'').'>'.htmlspecialchars($dbname).'</option>';
-						if ($dbname==TYPO3_db)	$dbIncluded=1;
-					}
-					if (!$dbIncluded && TYPO3_db)	{
-						$options.='<option value="'.htmlspecialchars(TYPO3_db).'" selected="selected">'.htmlspecialchars(TYPO3_db).' (NO ACCESS!)</option>';
-					}
-					$select='<select name="TYPO3_INSTALL[localconf.php][typo_db]">'.$options.'</select>';
-					$msg='
-<br />
-<br />
-					<table border="0">
-					   <form action="'.$this->action.'" method="post">
-					   	<tr>
-					   		<td valign="top" nowrap="nowrap"><strong>
-								  '.$this->fontTag2.'
-							   You have two options:<br />
-							   <br /><br />
+			// Hook to override and add steps to the 1-2-3 installer
+		if (is_array ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['ext/install/mod/class.tx_install.php']['stepOutput'])) {
+			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['ext/install/mod/class.tx_install.php']['stepOutput'] as $classData) {
+				$hookObject = t3lib_div::getUserObj($classData);
+				$hookObject->execute($markers, $this->step, $this);
+			}
+		}
+			// Use the default steps when there is no override
+		if (!$markers['header'] && !$markers['step']) {
+			switch(strtolower($this->step)) {
+				case 1:
+						// Get the subpart for the first step
+					$step1SubPart = $this->contentObject->getSubpart(
+						$templateFile, '###STEP1###'
+					);
+						// Add header marker for main template
+					$markers['header'] = 'Welcome to the TYPO3 installation process';
+						// Define the markers content for the subpart
+					$step1SubPartMarkers = array(
+						'llIntroduction' => '
+							<p>
+								TYPO3 is an enterprise content management system
+								that is very powerfull and yet easy to install.
+							</p>
+							<p>
+								Choose your database, import some data and
+								you\'re done!
+							</p>
+						',
+						'step' => $this->step + 1,
+						'action' => htmlspecialchars($this->action),
+						'continue' => 'Continue'
+					);
+						// Add step marker for main template
+					$markers['step'] = $this->contentObject->substituteMarkerArray(
+						$step1SubPart,
+						$step1SubPartMarkers,
+						'###|###',
+						1,
+						1
+					);
+				break;
+				case 2:
+						// Get the subpart for the second step
+					$step2SubPart = $this->contentObject->getSubpart(
+						$templateFile, '###STEP2###'
+					);
+						// Add header marker for main template
+					$markers['header'] = 'Connect to your database host';
+						// Define the markers content for the subpart
+					$step2SubPartMarkers = array(
+						'step' => $this->step + 1,
+						'action' => htmlspecialchars($this->action),
+						'encryptionKey' => $this->createEncryptionKey(),
+						'branch' => TYPO3_branch,
+						'labelUsername' => 'Username',
+						'username' => TYPO3_db_username,
+						'labelPassword' => 'Password',
+						'password' => TYPO3_db_password,
+						'labelHost' => 'Host',
+						'host' => TYPO3_db_host ? TYPO3_db_host : 'localhost',
+						'continue' => 'Continue'
+					);
+						// Add step marker for main template
+					$markers['step'] = $this->contentObject->substituteMarkerArray(
+						$step2SubPart,
+						$step2SubPartMarkers,
+						'###|###',
+						1,
+						1
+					);
+				break;
+				case 3:
+						// Add header marker for main template
+					$markers['header'] = 'Select database';
+						// There should be a database host connection at this point
+					if ($result = $GLOBALS['TYPO3_DB']->sql_pconnect(
+						TYPO3_db_host, TYPO3_db_username, TYPO3_db_password
+					)) {
+							// Get the subpart for the third step
+						$step3SubPart = $this->contentObject->getSubpart(
+							$templateFile, '###STEP3###'
+						);
+							// Get the subpart for the database options
+						$step3DatabaseOptionsSubPart = $this->contentObject->getSubpart(
+							$step3SubPart, '###DATABASEOPTIONS###'
+						);
 
-							   1: Select an existing <u>EMPTY</u> database:</span></strong>
-					   		</td>
-						</tr>
-						<tr>
-					   		<td valign="top">
-								  '.$this->fontTag1.'Any existing tables which are used by TYPO3 will be overwritten in Step 3. So make sure this database is empty:<br />'.$select.'</span><br />
-					   		</td>
-					   	</tr>
-					   	<tr>
-					   		<td valign="top" nowrap="nowrap"><br />
-							<br />
-<strong>
-								  '.$this->fontTag2.'2: Create new database (recommended):</span></strong>
-					   		</td>
-						</tr>
-						<tr>
-					   		<td valign="top">
-								  '.$this->fontTag1.'Enter the desired name of the database here:<br /><input type="text" name="TYPO3_INSTALL[localconf.php][NEW_DATABASE_NAME]" value=""></span><br />
-					   		</td>
-					   	</tr>
-					   	<tr>
-					   		<td valign="top">   		   <br />
-
-								  '.$this->fontTag1.'<br />
-							   <input type="hidden" name="step" value="3">
-								  <input type="submit" value="Continue"><br /><br /><strong>NOTICE: </strong>By clicking this button, typo3conf/localconf.php is updated with new values for the parameters listed above!</span><br />
-					   		</td>
-					   	</tr>
-					   </form>
-					</table>
-<br />
-<br />
-				';
-				} else {
-					$msg=$error_missingConnect;
-				}
-			break;
-			case 3:
-				if ($result = $GLOBALS['TYPO3_DB']->sql_pconnect(TYPO3_db_host, TYPO3_db_username, TYPO3_db_password))	{
-					if ($GLOBALS['TYPO3_DB']->sql_select_db(TYPO3_db))	{
-						$sFiles = t3lib_div::getFilesInDir(PATH_typo3conf,'sql',1,1);
-
-							// Check if default database scheme "database.sql" already exists, otherwise create it
-						if (!strstr(implode(',',$sFiles).',', '/database.sql,'))	{
-							array_unshift($sFiles,'Create default database tables');
+						$dbArr = $this->getDatabaseList();
+						$dbIncluded = 0;
+						foreach ($dbArr as $dbname) {
+								// Define the markers content for database options
+							$step3DatabaseOptionMarkers = array(
+								'databaseValue' => htmlspecialchars($dbname),
+								'databaseSelected' => $dbname == TYPO3_db ? 'selected="selected"' : '',
+								'databaseName' => htmlspecialchars($dbname)
+							);
+								// Add the option HTML to an array
+							$step3DatabaseOptions[] = $this->contentObject->substituteMarkerArray(
+								$step3DatabaseOptionsSubPart,
+								$step3DatabaseOptionMarkers,
+								'###|###',
+								1,
+								1
+							);
+							if ($dbname==TYPO3_db)	$dbIncluded=1;
 						}
-
-						$opt='';
-						foreach ($sFiles as $f)	{
-							if ($f=='Create default database tables')	$key='CURRENT_TABLES+STATIC';
-							else $key=htmlspecialchars($f);
-
-							$opt.='<option value="import|'.$key.'">'.htmlspecialchars(basename($f)).'</option>';
+						if (!$dbIncluded && TYPO3_db) {
+								// // Define the markers content when no access
+							$step3DatabaseOptionMarkers = array(
+								'databaseValue' => htmlspecialchars(TYPO3_db),
+								'databaseSelected' => 'selected="selected"',
+								'databaseName' => htmlspecialchars(TYPO3_db) . ' (NO ACCESS!)'
+							);
+								// Add the option HTML to an array
+							$step3DatabaseOptions[] = $this->contentObject->substituteMarkerArray(
+								$step3DatabaseOptionsSubPart,
+								$step3DatabaseOptionMarkers,
+								'###|###',
+								1,
+								1
+							);
 						}
+							// Substitute the subpart for the database options
+						$content = $this->contentObject->substituteSubpart(
+							$step3SubPart,
+							'###DATABASEOPTIONS###',
+							implode(chr(10), $step3DatabaseOptions)
+						);
+							// Define the markers content
+						$step3SubPartMarkers = array(
+							'step' => $this->step + 1,
+							'llOptions' => 'You have two options in this step.',
+							'action' => htmlspecialchars($this->action),
+							'llOption1' => '1: Create new database (recommended):',
+							'llRemark1' => 'Enter your desired name for the database.',
+							'llOption2' => '2: Select an EMPTY existing database:',
+							'llRemark2' => 'All tables used by TYPO3 will be overwritten in step 3.',
+							'continue' => 'Continue'
+						);
+							// Add step marker for main template
+						$markers['step'] = $this->contentObject->substituteMarkerArray(
+							$content,
+							$step3SubPartMarkers,
+							'###|###',
+							1,
+							1
+						);
+					} else {
+							// Add step marker for main template when no connection
+						$markers['step'] = $error_missingConnect;
+					}
+				break;
+				case 4:
+						// Add header marker for main template
+					$markers['header'] = 'Import the database sql-file';
+						// There should be a database host connection at this point
+					if ($result = $GLOBALS['TYPO3_DB']->sql_pconnect(
+						TYPO3_db_host, TYPO3_db_username, TYPO3_db_password
+					)) {
+							// The selected database should be accessible
+						if ($GLOBALS['TYPO3_DB']->sql_select_db(TYPO3_db)) {
+								// Get the subpart for the fourth step
+							$step4SubPart = $this->contentObject->getSubpart(
+								$templateFile, '###STEP4###'
+							);
+								// Get the subpart for the database type options
+							$step4DatabaseTypeOptionsSubPart = $this->contentObject->getSubpart(
+								$step4SubPart, '###DATABASETYPEOPTIONS###'
+							);
 
+							$sFiles = t3lib_div::getFilesInDir(PATH_typo3conf,'sql',1,1);
 
-						$content='
-							'.$this->fontTag2.'Please select a database dump:</span><br />
-							<input type="hidden" name="TYPO3_INSTALL[database_import_all]" value=1>
-							<input type="hidden" name="step" value="">
-							<input type="hidden" name="goto_step" value="go">
-							<select name="TYPO3_INSTALL[database_type]">'.$opt.'</select><br />';
+								// Check if default database scheme "database.sql" already exists, otherwise create it
+							if (!strstr(implode(',',$sFiles).',', '/database.sql,')) {
+								array_unshift($sFiles,'Create default database tables');
+							}
 
-						$content = $this->getUpdateDbFormWrap('import', $content, 'Import database');
-
-						$msg='
-						<br />
-						'.$dbInfo.'<br />
-						<br />
-						'.$content.'
-
-						';
-
+							$opt='';
+							foreach ($sFiles as $f) {
+								if ($f=='Create default database tables')	$key='CURRENT_TABLES+STATIC';
+								else $key=htmlspecialchars($f);
+									// Define the markers content for database type subpart
+								$step4DatabaseTypeOptionMarkers = array(
+									'databaseTypeValue' => 'import|' . $key,
+									'databaseName' => htmlspecialchars(basename($f))
+								);
+									// Add the option HTML to an array
+								$step4DatabaseTypeOptions[] = $this->contentObject->substituteMarkerArray(
+									$step4DatabaseTypeOptionsSubPart,
+									$step4DatabaseTypeOptionMarkers,
+									'###|###',
+									1,
+									1
+								);
+							}
+								// Substitute the subpart for the database type options
+							$content = $this->contentObject->substituteSubpart(
+								$step4SubPart,
+								'###DATABASETYPEOPTIONS###',
+								implode(chr(10), $step4DatabaseTypeOptions)
+							);
+								// Define the markers content
+							$step4SubPartMarkers = array(
+								'llSummary' => 'Database summary:',
+								'llUsername' => 'Username:',
+								'username' => TYPO3_db_username,
+								'llHost' => 'Host:',
+								'host' => TYPO3_db_host,
+								'llDatabase' => 'Database:',
+								'database' => TYPO3_db,
+								'llNumberTables' => 'Number of tables:',
+								'numberTables' => count($whichTables),
+								'action' => htmlspecialchars($this->action),
+								'llDatabaseType' => 'Please select a database dump:',
+								'label' => 'Import database'
+							);
+								// Add step marker for main template
+							$markers['step'] = $this->contentObject->substituteMarkerArray(
+								$content,
+								$step4SubPartMarkers,
+								'###|###',
+								1,
+								1
+							);
+						} else {
+								// Add step marker for main template when no database
+							$markers['step'] = $error_missingDB;
+						}
 					} else {
-						$msg=$error_missingDB;
+							// Add step marker for main template when no connection
+						$markers['step'] = $error_missingConnect;
 					}
-				} else {
-					$msg=$error_missingConnect;
-				}
-			break;
-			case 'go':
-				if ($result = $GLOBALS['TYPO3_DB']->sql_pconnect(TYPO3_db_host, TYPO3_db_username, TYPO3_db_password))	{
-					if ($GLOBALS['TYPO3_DB']->sql_select_db(TYPO3_db))	{
-						if (count($whichTables))	{
-							$msg='
-							<br />
-							'.$this->fontTag2.'
-							'.nl2br($this->messageBasicFinished()).'
-							<br />
-							<hr />
-							<div align="center"><strong><img src="'.$this->backPath.'gfx/icon_warning.gif" hspace="5" width="18" height="16" class="absmiddle">IMPORTANT</strong></div><br />
-							<span class="smalltext">'.nl2br($this->securityRisk()).'
-							<br />
-							<strong>Enter <a href="'.$this->scriptSelf.'">"Normal" mode for the Install Tool</a> to change this!</strong><br />
-
-							</span>
-							</span><br />
-							';
+				break;
+				case 'go':
+						// Add header marker for main template
+					$markers['header'] = 'You\'re done!';
+						// There should be a database host connection at this point
+					if ($result = $GLOBALS['TYPO3_DB']->sql_pconnect(
+						TYPO3_db_host, TYPO3_db_username, TYPO3_db_password
+					)) {
+							// The selected database should be accessible
+						if ($GLOBALS['TYPO3_DB']->sql_select_db(TYPO3_db)) {
+								// The database should contain tables
+							if (count($whichTables)) {
+									// Get the subpart for the go step
+								$stepGoSubPart = $this->contentObject->getSubpart(
+									$templateFile, '###STEPGO###'
+								);
+									// Define the markers content
+								$stepGoSubPartMarkers = array(
+									'messageBasicFinished' => $this->messageBasicFinished(),
+									'llImportant' => 'Important',
+									'securityRisk' => $this->securityRisk(),
+									'llSwitchMode' => 'Enter
+										<a href="' . $this->scriptSelf . '">
+											"Normal"
+										</a>
+										mode for the Install Tool to change this!
+									'
+								);
+									// Add step marker for main template
+								$markers['step'] = $this->contentObject->substituteMarkerArray(
+									$stepGoSubPart,
+									$stepGoSubPartMarkers,
+									'###|###',
+									1,
+									1
+								);
+							} else {
+									// Add step marker for main template when empty database
+								$markers['step'] = $error_emptyDB;
+							}
 						} else {
-							$msg=$error_emptyDB;
+								// Add step marker for main template when no database
+							$markers['step'] = $error_missingDB;
 						}
 					} else {
-						$msg=$error_missingDB;
+							// Add step marker for main template when no connection
+						$markers['step'] = $error_missingConnect;
 					}
-				} else {
-					$msg=$error_missingConnect;
-				}
-			break;
+				break;
+			}
 		}
-		return $msg;
+			// Fill the markers in the template
+		$content = $this->contentObject->substituteMarkerArray(
+			$template,
+			$markers,
+			'###|###',
+			1,
+			1
+		);
+
+		return $content;
 	}
 
 	/**
 	 * Calling the functions that checks the system
 	 *
-	 * @return	[type]		...
+	 * @return void
 	 */
-	function checkTheConfig()	{
+	function checkTheConfig() {
 			// Order important:
 		$this->checkDirs();
 		$this->checkConfiguration();
 		$this->checkExtensions();
 
-		if (TYPO3_OS=='WIN')	{
+		if (TYPO3_OS=='WIN') {
 			$paths=array($GLOBALS['TYPO3_CONF_VARS']['GFX']['im_path_lzw'], $GLOBALS['TYPO3_CONF_VARS']['GFX']['im_path'], 'c:\\php\\imagemagick\\', 'c:\\php\\GraphicsMagick\\', 'c:\\apache\\ImageMagick\\', 'c:\\apache\\GraphicsMagick\\');
 		} else {
 			$paths=array($GLOBALS['TYPO3_CONF_VARS']['GFX']['im_path_lzw'], $GLOBALS['TYPO3_CONF_VARS']['GFX']['im_path'], '/usr/local/bin/','/usr/bin/','/usr/X11R6/bin/');
 		}
 
 		asort($paths);
-		if (ini_get('safe_mode'))	{
+		if (ini_get('safe_mode')) {
 			$paths=array(ini_get('safe_mode_exec_dir'),'/usr/local/php/bin/');
 		}
-		if ($this->INSTALL['checkIM']['lzw'])	{
+		if ($this->INSTALL['checkIM']['lzw']) {
 			$this->checkIMlzw=1;
 		}
-		if ($this->INSTALL['checkIM']['path'])	{
+		if ($this->INSTALL['checkIM']['path']) {
 			$paths[]=trim($this->INSTALL['checkIM']['path']);
 		}
 		if ($this->checkIM)	$this->checkImageMagick($paths);
